Subject: bug#58956: mark_object, mark_objects(?) crash

From: Vincent Lefevre <[email-masked]>
Date: Thu, 3 Nov 2022 04:00:46 +0100

On 2022-11-02 14:24:51 +0200, Eli Zaretskii wrote:
> Signal 1 is SIGHUP, AFAIU.  Why should Emacs receive SIGHUP in the
> middle of GC, I have no idea.  Maybe ask the user what was he doing at
> that time.  E.g., could that be a remote Emacs session?

No, it is on my local machine.

On 2022-11-02 14:43:41 -0700, Sean Whitton wrote:
> Upstream says there isn't enough information in the backtrace to say
> anything helpful about this.  Could you take a look at
> <https://debbugs.gnu.org/58956> and consider supplying more information
> over there, please?
> 
> Also, are you able to reproduce this with 'emacs -q' (not -Q)?

This is not reproducible with "emacs -q".

I can reproduce it in a firejail private directory[*] (so that the
behavior doesn't depend on my own config files), where there is no
.emacs file. There is a .emacs.d directory with just a eln-cache
subdirectory:

zira% ls -la .emacs.d 
total 12
drwx------ 3 vinc17 vinc17 4096 2022-11-01 00:40:05 .
drwx------ 4 vinc17 vinc17 4096 2022-11-03 03:53:23 ..
drwxr-xr-x 3 vinc17 vinc17 4096 2022-11-01 00:40:05 eln-cache
zira% ls -la .emacs.d/eln-cache 
total 12
drwxr-xr-x 3 vinc17 vinc17 4096 2022-11-01 00:40:05 .
drwx------ 3 vinc17 vinc17 4096 2022-11-01 00:40:05 ..
drwxr-xr-x 2 vinc17 vinc17 4096 2022-11-01 00:40:05 28.2-43f520ab
zira% ls -la .emacs.d/eln-cache/28.2-43f520ab 
total 8
drwxr-xr-x 2 vinc17 vinc17 4096 2022-11-01 00:40:05 .
drwxr-xr-x 3 vinc17 vinc17 4096 2022-11-01 00:40:05 ..
zira% 

[*] firejail --ignore=read-only --ignore='noexec ${HOME}' --noblacklist='${HOME}/*' --private=fj-dir zsh

I run emacs, and quit it immediately. The generation of the core dump
is almost 100% reproducible. Ditto with "emacs -nw".

But note that the bug is also reproducible without firejail, but
harder to reproduce.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)